<?php
/* 
[contact_info phone="(+40) 111 222 333" email="admin@example.com" address="the Street , # 9" city="city" state="state" zip="10000" name="yourname"]
*/
function ncewpf_shortcode_contact_info($atts) {
	extract(shortcode_atts(array(
		'color' => '', // Black or White
		'phone' => '',
		'cellphone' => '',
                'fax' => '',
		'email' => '',
                'im' => '',
		'website' => '',
		'address' => '',
		'city' => '',
		'state' => '',
		'zip' => '',
		'name' => '',
                'vcard' => '', // URL
	), $atts));

	if(!empty($city) && !empty($state)){
		$city = $city.',&nbsp;'.$state;
	}elseif(!empty($state)){
		$city = $state;
	}
	if(!empty($color)){
		$color = ' '.$color;
	}

	$output = '<div class="ncewpf-contact-info">';
        if(!empty($name)){
		$output .= '<p><span class="ncewpf-icon icon-id'.$color.'">'.$name.'</span></p>';
	}
	if(!empty($phone)){
		$output .= '<p><span class="ncewpf-icon icon-phone'.$color.'">'.$phone.'</span></p>';
	}
	if(!empty($cellphone)){
		$output .= '<p><span class="ncewpf-icon icon-cellphone'.$color.'">'.$cellphone.'</span></p>';
	}
        if(!empty($fax)){
		$output .= '<p><span class="ncewpf-icon icon-fax'.$color.'">'.$fax.'</span></p>';
	}
	if(!empty($email)){
		$output .= '<p><a href="mailto:'.$email.'" class="ncewpf-icon icon-email'.$color.'">'.$email.'</a></p>';
	}
        if(!empty($im)){
		$output .= '<p><span class="ncewpf-icon icon-im">'.$im.'</span></p>';
	}
	if(!empty($website)){
		$output .= '<p><a href="'.$link.'" target="_blank" class="ncewpf-icon icon-link'.$color.'">'.$website.'</a></p>';
	}
	if(!empty($address)){
		$output .= '<p><span class="ncewpf-icon icon-home'.$color.'">'.$address.'</span></p>';
	}
	if(!empty($city)||!empty($zip)){
		$output .= '<p class="contact_address">';
		if(!empty($city)){
			$output .= '<span>'.$city.'</span> ';
		}
		if(!empty($zip)){
			$output .= ' <span class="contact_zip">'.$zip.'</span>';
		}
	}
        if(!empty($vcard)){
		$output .= '<p><span class="ncewpf-icon icon-vcard'.$color.'"><a href="'.$vcard.'" title="'.__('Download Business Card', 'ncewpf').'">'.__('Download Business Card', 'ncewpf').'</a></span></p>';
	}
	$output .= '</div>';
	return $output;
}
add_shortcode('contact_info', 'ncewpf_shortcode_contact_info');


/* Contact From
********************************************************************************/
function ncewpf_contact($atts, $content = null) {
	extract(shortcode_atts(array(
		'email' => '',
                'subject' => '',
	), $atts));    


        if(empty($email)){
            $email = get_option('admin_email');
        }
        if(empty($subject)){
            $subject = __('Contact from submitted @', 'ncewpf').' '.get_bloginfo('name');
        }

    global $wpdb, $post;
    $action_url = ncewpf_current_url();
    if (isset($_POST['contact_submit'])) {
        if ($_POST['fullname'] == '' || $_POST['email'] == '' || $_POST['message'] == '') {
            $form_error[] = __('Missing required fields.', 'ncewpf');
        }
        if (!fw_is_valid_email($_POST['email'])) {
            $form_error[] = __('Invalid email address.', 'ncewpf');
        }
        if (empty($form_error)) {
            $emaildata = array(
                'to' => $email,
                'from' => $_POST['email'],
                'from_name' => $_POST['fullname'],
                'subject' => $subject,
                'message' => stripcslashes(nl2br($_POST['message']))
            );


            fw_mail($emaildata);
            $error_msg = '<div class="nc-form-success">' . ncewpf_do_shortcode('[content_box style="success"]'.$content.'[/content_box]') . '</div>';
        } else {
            $error_msg = '<div class="nc-form-error">';
            foreach ($form_error as $err) {
                $error .= $err.'<br />';
            }
            $error_msg .= ncewpf_do_shortcode('[content_box style="error"]'.$error.'[/content_box]');
            $error_msg .= '</div>';
        }
    }


    $name = __('Name:', 'ncewpf');
    $email_address = __('Email Address:', 'ncewpf');
    $message = __('Message:', 'ncewpf');
    $button_text = __('Send Email', 'ncewpf');
    
    
    $name_req = __('Enter your full name.', 'ncewpf');
    $email_req = __('Enter a valid email address.', 'ncewpf');
    $message_req = __('Enter your message.', 'ncewpf');

    $post_message = stripcslashes($_POST['message']);

    $display = <<<EOT

    {$error_msg}[raw]
<form id="ncewpf_contact" action="{$action_url}" method="post">
    <div class="ncewpf-form-field clearfix">
        <label>{$name} <span class="ncewpf-required fullname">{$name_req}</span> </label>
        <input type="text" name="fullname" id="fullname" class="inputbox" value="" />
    </div>
    <div class="ncewpf-form-field clearfix">
        <label>{$email_address}  <span class="ncewpf-required email">{$email_req}</span></label>
        <input type="text" name="email" id="email" class="inputbox" value="" />
    </div>
    <div class="ncewpf-form-field clearfix">
        <label>{$message} <span class="ncewpf-required message">{$message_req}</span></label>
        <textarea name="message" id="message" rows="5" cols="40" class="textarea"></textarea>
    </div>

    <div class="ncewpf-form-field clearfix">
        <input type="submit" name="contact_submit" value="{$button_text}" class="ncewpf-form-submit" />
    </div>
</form>[/raw]

EOT;
    return $display;
}
add_shortcode("contact_form", "ncewpf_contact");