<?php

/* CODE
 * **************************************************************************** */

function ncewpf_shortcode_code($atts, $content = null) {
    return '[raw]<code class="code">' . $content . '</code>[/raw]';
}

add_shortcode('code', 'ncewpf_shortcode_code');

function ncewpf_shortcode_pre($atts, $content = null) {
    return '[raw]<pre class="ncewpf-pre">' . $content . '</pre>[/raw]';
}

add_shortcode('pre', 'ncewpf_shortcode_pre');


/* CLEAR
 * ***************************************************************************** */

function ncewpf_shortcode_clear($atts, $content = null) {
    return '[raw]<br class="clear" />[/raw]';
}

add_shortcode('clear', 'ncewpf_shortcode_clear');


/* Drop Caps
 * **************************************************************************** */

function ncewpf_shortcode_dropcap($atts, $content = null) {
    $defaults = array(
        'class' => 'custom-dropcap',
    );
    extract(shortcode_atts($defaults, $atts));

    return '[raw]<p class="dropcap ' . $class . '">' . $content . '</p> <!--/.dropcap-->[/raw]';
}

add_shortcode('dropcap', 'ncewpf_shortcode_dropcap');

/* BlockQuotes
 * **************************************************************************** */

function ncewpf_shortcode_blockquotes($atts, $content = null) {
    $defaults = array(
        'align' => 'none',
        'style' => 'black',
        'class' => 'custom-blockquote',
        'cite' => null,
    );
    extract(shortcode_atts($defaults, $atts));

    if ($cite != null) {
        $cite = '<cite class="blockquote-cite">' . $cite . '</cite>';
    } else {
        $cite = '';
    }

    if ($style != 'black') {
        $bg = ' blockquote-white';
    } else {
        $bg = '';
    }

    return '[raw]<blockquote class="blockquote ' . $class . ' blockquote-' . $align . $bg . '">' . $content . $cite . '</blockquote>[/raw]';
}

add_shortcode('blockquote', 'ncewpf_shortcode_blockquotes');

/* Lists
 * **************************************************************************** */

function ncewpf_shortcode_ul($atts, $content = null) {
    $defaults = array(
        'style' => 'bullets', // arrow, tick, bullets, circle, square, star, plus, minus
        'color' => 'black', // black, gray, red, green, orange, pink, blue
        'class' => 'custom-list', //
    );
    extract(shortcode_atts($defaults, $atts));

    $class = ' ' . $class;

    return '[raw]<div class="ncewpf_lists ' . $color . ' ncewpf-lists-' . $style . '-' . $color . '' . $class . '">' . $content . '</div>[/raw]';
}

add_shortcode('list', 'ncewpf_shortcode_ul');

/* Text Highlights
 * **************************************************************************** */

function ncewpf_shortcode_highlight($atts, $content = null) {
    $defaults = array(
        'color' => 'yellow', // yellow, black, white, red, blue, green, pink, orange
        'class' => 'custom-highlight', // yellow, black, white, red, blue, green, pink, orange
    );
    extract(shortcode_atts($defaults, $atts));

    return '<span class="' . $class . ' highlight-' . $color . '">' . $content . '</span>';
}

add_shortcode('highlight', 'ncewpf_shortcode_highlight');

/* Tables
 * ***************************************************************************** */

function ncewpf_shortcode_tables($atts, $content = null) {
    $defaults = array(
        'class' => 'custom-table', //
    );
    extract(shortcode_atts($defaults, $atts));
    return '[raw]<div class="ncewpf-table ' . $class . ' table_gray">' . $content . '</div>[/raw]';
}

add_shortcode('table', 'ncewpf_shortcode_tables');


/* Child Pages
 * ***************************************************************************** */

function ncewpf_shortcode_child_pages($atts, $content = null) {
    $defaults = array(
        'exclude' => '',
        'class' => null,
    );
    extract(shortcode_atts($defaults, $atts));

    global $post;
    
    $content = '<ul>';

    $args = array(
        'child_of' => $post->ID,
        'sort_order' => 'ASC',
        'sort_column' => 'post_title',
        'hierarchical' => 1,
        'exclude' => $exclude,
        'include' => '',
        'meta_key' => '',
        'meta_value' => '',
        'authors' => '',
        'parent' => -1,
        'exclude_tree' => '',
        'number' => '',
        'offset' => 0,
        'post_type' => 'page',
        'post_status' => 'publish'
    );
    
    $pages = get_pages($args);
    foreach($pages as $page){
        $content .= '<li><a href="'.get_page_link($page->ID).'" title="'.$page->post_title.'">'.$page->post_title.'</a></li>';
    }


    $content .= '</ul>';

    return '[raw]<div class="ncewpf-childpages ' . $class . ' ">' . $content . '</div>[/raw]';
}

add_shortcode('child_pages', 'ncewpf_shortcode_child_pages');