<?php

@ini_set('pcre.backtrack_limit', 500000);
if (!function_exists('ncewpf_formatter')) :

    function ncewpf_formatter($content) {
        $new_content = '';
        /* Matches the contents and the open and closing tags */
        $pattern_full = '{(\[raw\].*?\[/raw\])}is';
        /* Matches just the contents */
        $pattern_contents = '{\[raw\](.*?)\[/raw\]}is';
        /* Divide content into pieces */
        $pieces = preg_split($pattern_full, $content, -1, PREG_SPLIT_DELIM_CAPTURE);
        /* Loop over pieces */
        foreach ($pieces as $piece) {
            /* Look for presence of the shortcode */
            if (preg_match($pattern_contents, $piece, $matches)) {
                /* Append to content (no formatting) */
                $new_content .= $matches[1];
            } else {
                /* Format and append to content */
                $new_content .= wptexturize(wpautop($piece));
            }
        }
        return $new_content;
    }

// Remove the 2 main auto-formatters
    remove_filter('the_content', 'wpautop');
    remove_filter('the_content', 'wptexturize');
// Before displaying for viewing, apply this function
    add_filter('the_content', 'ncewpf_formatter', 99);
    add_filter('widget_text', 'ncewpf_formatter', 99);
endif;


/* * * Enqueue style ** */

function ncewpf_stylesheet() {
    wp_register_style('ncewpf_helpers_styles', ncewpf_product_info('modules_url') . '/assets/helper.css');
    wp_register_style('ncewpf_shortcode_styles', ncewpf_product_info('modules_url') . '/assets/styles.css');
    wp_enqueue_style('ncewpf_helpers_styles');
    wp_enqueue_style('ncewpf_shortcode_styles');
}

add_action('wp_print_styles', 'ncewpf_stylesheet');

/* * * Enqueue script ** */

function ncewpf_js() {
    wp_enqueue_script('ncewpf-scripts', ncewpf_product_info('modules_url') . '/assets/custom.js', array('jquery'));
    wp_enqueue_script('ncewpf-helper-scripts', ncewpf_product_info('modules_url') . '/assets/helpers.js');
}

add_action('wp_print_scripts', 'ncewpf_js');


/* PHP FUNCTION TO RUN SHORTCODE */

function ncewpf_do_shortcode($shortcode) {
    $shortcode = do_shortcode($shortcode);
    $shortcode = str_replace('[raw]', '', $shortcode);
    $shortcode = str_replace('[/raw]', '', $shortcode);
    return $shortcode;
}

if (!is_admin()) {
    add_filter('widget_text', 'do_shortcode', 11);
}