<?php

/* Twitter Feed
 * **************************************************************************** */

function ncewpf_shortcode_twitterfeed($atts, $content = null) {
    $defaults = array(
        'id' => 'twitter',
        'count' => '1',
        'class' => 'custom-twitter-feed',
    );
    extract(shortcode_atts($defaults, $atts));

    $random_id = rand(9, 9999);

    $js_code = '[raw]
<script type="text/javascript">
    getTwitters("twitter-feed-' . $random_id . '", {
        id: "' . $id . '",
        timeout: 3,
        count: ' . $count . ',
        onTimeout: function () {
                this.innerHTML = "' . __('Twitter is down right now!', 'ncewpf') . '";
        },
        onTimeoutCancel: true,
        ignoreReplies: true
    });
</script>
[/raw]';

    return '<div class="ncewpf-twitter-feed ' . $class . '" id="twitter-feed-' . $random_id . '">' . __('Loading Tweets!', 'ncewpf') . '</div>' . $js_code;
}

add_shortcode('twitterfeed', 'ncewpf_shortcode_twitterfeed');


/* Facebook Like Button
 * ****************************************************************************** */

function ncewpf_shortcode_fblike($atts, $content = null) {
    $defaults = array(
        'url' => '',
        'send_button' => 'true',
        'show_faces' => 'true',
        'width' => '450',
        'layout' => 'standard',
        'class' => 'custom-fblike',
    );
    extract(shortcode_atts($defaults, $atts));

    $options = '';

    if ($send_button == 'true') {
        $options .= ' send="true"';
    }
    if ($show_faces == 'true') {
        $options .= ' show_faces="true"';
    }
    if ($layout == 'button_count') {
        $options .= ' layout="button_count"';
    } elseif ($layout == 'box_count') {
        $options .= ' layout="box_count"';
    }



    return '<div class="' . $class . '" id="fb-root"></div><fb:like href="' . $url . '" ' . $options . ' width="' . $width . '" font="arial"></fb:like>';
}

add_shortcode('fblike', 'ncewpf_shortcode_fblike');

/* RSS Feeds
 * ****************************************************************************** */

function ncewpf_shortcode_rss_feed($atts, $content = null) {
    $defaults = array(
        'url' => get_permalink(),
        'count' => '3',
        'show_content' => 'true',
        'class' => 'custom-rss-feed',
    );
    extract(shortcode_atts($defaults, $atts));


    include_once(ABSPATH . WPINC . '/feed.php');

// Get a SimplePie feed object from the specified feed source.
    $rss = fetch_feed($url);
    if (!is_wp_error($rss)) : // Checks that the object is created correctly
        // Figure out how many total items there are, but limit it to 5.
        $maxitems = $rss->get_item_quantity($count);

        // Build an array of all the items, starting with element 0 (first element).
        $rss_items = $rss->get_items(0, $maxitems);
    endif;

    $feed_html = '<ul class="ncewpf-rss-feeds">';

    if ($maxitems == 0)
        $feed_html .= '<li>No items.</li>';
    else
    // Loop through each feed item and display each item as a hyperlink.
        foreach ($rss_items as $item) :
            $feed_html .= '<li><a href="' . $item->get_permalink() . '" title="' . $item->get_title() . '">';
            $feed_html .= $item->get_title();
            $feed_html .= '</a>';

            if ($show_content == 'true') {
                $feed_html .= '<p>' . $item->get_description() . '</p>';
            }

            $feed_html .= '</li>';
        endforeach;


    $feed_html .= '</ul>';




    return '[raw]<div class="' . $class . '">' . $feed_html . '</div>[/raw]';
}

add_shortcode('rss_feed', 'ncewpf_shortcode_rss_feed');


add_action('wp_head', 'ncewpf_webservices_scripts');

function ncewpf_webservices_scripts() {
    echo '<script src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script>';
}